package com.ruoyi.ss.suit.domain.dto;

import com.ruoyi.common.validRule.deviceExist.DeviceExist;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Size;
import java.util.List;

/**
 * 复制套餐参数
 * @author wjh
 * 2024/7/15
 */
@Data
public class SuitCopyDTO {

    @ApiModelProperty("设备ID")
    @DeviceExist(checkBelong = true, message = "设备不存在")
    private Long deviceId;

    @ApiModelProperty("复制的套餐ID列表")
    @Size(min = 1, message = "至少选择一个套餐")
    private List<Long> suitIds;

}
